# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from decimal import Decimal
from trytond.pool import PoolMeta, Pool
from trytond.model import fields

__all__ = ['Event']


class Event(metaclass=PoolMeta):
    'Staff Event'
    __name__ = 'staff.event'

    line_payroll = fields.Many2One('staff.payroll.line', 'Line Payroll', states={'readonly': True})

    @classmethod
    def __setup__(cls):
        super(Event, cls).__setup__()
